<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ws="http://www.ebenoit.info/data"
	xmlns:wsf="http://www.ebenoit.info/ext">


	<!-- *********************************************************************************************** -->
	<!-- * GENERATE BREAD CRUMBS TO THE CURRENT PAGE                                                   * -->
	<!-- *********************************************************************************************** -->


	<!-- Generate the breadcrumb side box
	   -
	   - This template generates a side box that will contain the breadcrumb, and calls the appropriate
	   - generator.
	  -->
	<xsl:template name="generate-breadcrumb-box">
		<xsl:call-template name="side-box-template">
			<xsl:with-param name="id">breadcrumb-box</xsl:with-param>
			<xsl:with-param name="title">
				<xsl:call-template name="get-i18n-string">
					<xsl:with-param name="id">breadcrumb</xsl:with-param>
				</xsl:call-template>
			</xsl:with-param>
			<xsl:with-param name="contents">
				<div class="line-content">
					<xsl:for-each select="wsf:generate-breadcrumb( string( $page ) , string( $lang ) , true() , true( ) )/node()">
						<xsl:apply-templates select="." />
					</xsl:for-each>
				</div>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>
