<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ws="http://www.ebenoit.info/data">

	<xsl:template name="feed-page-template">
		<xsl:param name="title" />
		<xsl:param name="description" />
		<xsl:param name="contents" />

		<h1><xsl:value-of select="$title" /></h1>
		<xsl:if test="$description">
			<p>
				<xsl:value-of select="$description" />
			</p>
		</xsl:if>
		<ul>
			<xsl:copy-of select="$contents" />
		</ul>
	</xsl:template>

	<xsl:template name="feed-item-template">
		<xsl:param name="title" />
		<xsl:param name="link" />
		<xsl:param name="author" />
		<xsl:param name="date" />
		<xsl:param name="content" />
		<li>
			<span class="feed-title">
				<xsl:choose>
					<xsl:when test="not( $link )">
						<xsl:value-of select="$title" disable-output-escaping="no" />
					</xsl:when>
					<xsl:otherwise>
						<a>
							<xsl:attribute name="href">
								<xsl:value-of select="$link" />
							</xsl:attribute>
							<xsl:value-of select="$title" disable-output-escaping="no" />
						</a>
					</xsl:otherwise>
				</xsl:choose>
			</span>
			<br/>
			<em class="feed-meta"><xsl:if test="$author"><xsl:value-of select="$author" /> - </xsl:if><xsl:value-of select="$date" /></em>
			<xsl:if test="$content">
				<div class="feed-content"><xsl:copy-of select="$content" /></div>
			</xsl:if>
		</li>
	</xsl:template>

</xsl:stylesheet>
