<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ws="http://www.ebenoit.info/data">

	<xsl:template name="language-selector-template">
		<div class="line-content">
			<xsl:for-each select="$d/ws:contents">
				<xsl:call-template name="do-single-language">
					<xsl:with-param name="id" select="@lang" />
					<xsl:with-param name="name" select="ws:langname" />
				</xsl:call-template>
			</xsl:for-each>
		</div>
	</xsl:template>

	<xsl:template name="do-single-language">
		<xsl:param name="id" />
		<xsl:param name="name" />

		<span class="language-sel">
			<xsl:attribute name="id">ls-<xsl:value-of select="$id" /></xsl:attribute>
			<xsl:choose>
				<xsl:when test="$id != $lang">
					<a>
						<xsl:attribute name="href">
							<xsl:value-of select="concat( $scriptPath , '/' , $id , '/' , $page )" />
						</xsl:attribute>
						<xsl:attribute name="title">
							<xsl:value-of select="concat($d/ws:contents[ @lang= $id ]/ws:pages/ws:page[ @id = $page ]/@title , ' (' , $name , ')' )" />
						</xsl:attribute>
						<xsl:value-of select="$name" />
					</a>
				</xsl:when>
				<xsl:otherwise>
					<strong><xsl:value-of select="$name" /></strong>
				</xsl:otherwise>
			</xsl:choose>
		</span>
	</xsl:template>

</xsl:stylesheet>
